//此乃本模块与后台交互的方法接口部分

var jwAppColumnModel = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwAppColumnModel.prototype = BusinessObject;

//插入栏目数据
jwAppColumnModel.prototype.insertColumn = function(){};
//修改栏目数据
jwAppColumnModel.prototype.updateColumn = function(){};
//删除栏目数据
jwAppColumnModel.prototype.deleteColumn = function(){};

//栏目数据_分页
jwAppColumnModel.prototype.list = function(){};
//栏目所有数据

jwAppColumnModel.prototype.listAll = function(){};
//栏目所有数据

jwAppColumnModel.prototype.listColumnTree = function(){};
//创建一个数据操作对象，然后再后续使用

jwAppColumnModel.jwAppsColumnActAction = new jwAppColumnModel("json").delegate("jwAppsColumnAct");
//创建一个数据获取对象，然后再后续使用

jwAppColumnModel.jwAppsColumnDataAction = new jwAppColumnModel("json").delegate("jwAppsColumnData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
